package com.propertyManagement.common.enums;

import com.propertyManagement.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 小程序用户类型
 *
 * @author liushuai
 */
@Getter
public enum UserPermission {

    /**
     * 户主
     */
    ONE("0", "户主"),
    /**
     * 家庭成员
     */
    TWO("1","家庭成员"),
    /**
     * 访客
     */
    THREE("2","访客"),
    /**
     * 保洁
     */
    FOUR("3","保洁"),
    /**
     * 保安
     */
    FIVE("4","保安");

    private final String code;
    private final String info;

    UserPermission(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
